Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.algorithm
Class CGAlgorithms3D

    java.lang.Object
      com.vividsolutions.jts.algorithm.CGAlgorithms3D

    public class CGAlgorithms3D

extends java.lang.Object

Basic computational geometry algorithms for geometry and coordinates defined in 3-dimensional Cartesian space.

Author:
  mdavis

Constructor Summary
`CGAlgorithms3D()`

Method Summary
`static double` | `distance(Coordinate p0, Coordinate p1)`
`static double` | `distancePointSegment(Coordinate p, Coordinate A, Coordinate B)`
`static double` | `distanceSegmentSegment(Coordinate A, Coordinate B, Coordinate C, Coordinate D)` Computes the distance between two 3D segments.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CGAlgorithms3D

    public CGAlgorithms3D()

Method Detail

### distance

    public static double distance(Coordinate p0,
                                  Coordinate p1)

### distancePointSegment

    public static double distancePointSegment(Coordinate p,
                                              Coordinate A,
                                              Coordinate B)

### distanceSegmentSegment

    public static double distanceSegmentSegment(Coordinate A,
                                                Coordinate B,
                                                Coordinate C,
                                                Coordinate D)

  Computes the distance between two 3D segments.

  Parameters:
    `A` - the start point of the first segment
    `B` - the end point of the first segment
    `C` - the start point of the second segment
    `D` - the end point of the second segment
  Returns:
    the distance between the segments

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD